Request

POST http:///api/v2/user/create-direct-account

Request body

The request body takes a complete CreateDirectAccountNewUserModel resource, containing the following writable properties:

{
    "apiOnly": "boolean",
    "createNewUserSecret": "string",
    "displayName": "string",
    "email": "string",
    "emailConfirmed": "boolean",
    "externalUserSessionReference": "string",
    "password": "string",
    "timeZone": "string",
    "username": "string"
}

Properties

Name Type Description
apiOnly boolean Boolean
createNewUserSecret string String
displayName string String
email string String
emailConfirmed boolean Boolean
externalUserSessionReference string String
password string String
timeZone string String
username string String

Response

The following HTTP status codes may be returned, optionally with a response resource.

Status code Description Resource
200 OK

OK

NewUserCreatedModel